summaryrefslogtreecommitdiffstats
path: root/ruby
diff options
context:
space:
mode:
author Edinaldo P. Silva2015-06-04 16:51:39 +0200
committer Willy Sudiarto Raharjo2015-06-04 16:51:39 +0200
commitc337a591a98a08d3f7990888f8f470c8ce45644c (patch)
treef9b21e30a3d289466ecf232fa5dafb6136582ab9 /ruby
parent9bb55da417c74b7b8be90aff1e4467a14239f0ae (diff)
downloadslackbuilds-c337a591a98a08d3f7990888f8f470c8ce45644c.tar.gz
ruby/ruby-haste: Added (CLI Haste Client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ruby')
-rw-r--r--ruby/ruby-haste/README3
-rw-r--r--ruby/ruby-haste/ruby-haste.SlackBuild120
-rw-r--r--ruby/ruby-haste/ruby-haste.info10
-rw-r--r--ruby/ruby-haste/slack-desc19
4 files changed, 152 insertions, 0 deletions
diff --git a/ruby/ruby-haste/README b/ruby/ruby-haste/README
new file mode 100644
index 0000000000..7807e0b950
--- /dev/null
+++ b/ruby/ruby-haste/README
@@ -0,0 +1,3 @@
+ruby-haste (CLI Haste Client)
+
+ruby-haste is a coomand-line tool for Haste.
diff --git a/ruby/ruby-haste/ruby-haste.SlackBuild b/ruby/ruby-haste/ruby-haste.SlackBuild
new file mode 100644
index 0000000000..97fc6c6004
--- /dev/null
+++ b/ruby/ruby-haste/ruby-haste.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/sh
+#
+# Slackware build script for ruby-haste.
+#
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ruby-haste
+SRCNAM=haste
+VERSION=${VERSION:-0.2.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+DESTDIR=$( ruby -r rbconfig -e '
+include RbConfig
+printf("%s/%s/gems/%s\n",
+ CONFIG["libdir"],
+ CONFIG["RUBY_INSTALL_NAME"],
+ CONFIG["ruby_version"]
+ )
+')
+
+gem specification $CWD/$SRCNAM-$VERSION.gem | \
+ ruby -r yaml -r rbconfig -e '
+c = Config::CONFIG
+path = sprintf("%s/%s/gems/%s",
+ c["libdir"],
+ c["RUBY_INSTALL_NAME"],
+ c["ruby_version"])
+sys_gemspecs = Dir.glob(path + "/specifications/*").map {|g| gs = Gem::Specification.load(g); gs.name }
+obj = Gem::Specification.from_yaml($stdin)
+obj.dependencies.each {|dep|
+ if not(dep.type == :runtime)
+ next
+ end
+ if not(sys_gemspecs.include?(dep.name))
+ $stderr.write("WARNING: #{dep.name} gem not found\n")
+ sleep 0.5
+ end
+
+}'
+
+gem install \
+ --local \
+ --no-update-sources \
+ --ignore-dependencies \
+ --backtrace \
+ --install-dir $PKG/$DESTDIR \
+ --bindir $PKG/usr/bin \
+ $CWD/$SRCNAM-$VERSION.gem
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz} \ No newline at end of file
diff --git a/ruby/ruby-haste/ruby-haste.info b/ruby/ruby-haste/ruby-haste.info
new file mode 100644
index 0000000000..d4874f07e9
--- /dev/null
+++ b/ruby/ruby-haste/ruby-haste.info
@@ -0,0 +1,10 @@
+PRGNAM="ruby-haste"
+VERSION="0.2.1"
+HOMEPAGE="https://rubygems.org/gems/haste"
+DOWNLOAD="https://rubygems.org/downloads/haste-0.2.1.gem"
+MD5SUM="c3f5b8476016c2d92d83b661b9b125a9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ruby-faraday ruby-json"
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/ruby/ruby-haste/slack-desc b/ruby/ruby-haste/slack-desc
new file mode 100644
index 0000000000..3a12267bb1
--- /dev/null
+++ b/ruby/ruby-haste/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ruby-haste: ruby-haste (CLI Haste Client)
+ruby-haste:
+ruby-haste: CLI Haste Client.
+ruby-haste:
+ruby-haste: Home page: https://rubygems.org/gems/haste/
+ruby-haste:
+ruby-haste:
+ruby-haste:
+ruby-haste:
+ruby-haste:
+ruby-haste: